de.esprit.common.gui.event

## Class StateChangeEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.gui.event.StateChangeEvent

- All Implemented Interfaces:
    Dumpable

      public class StateChangeEvent
      extends DumpableObject

  This event is fired by ZFlag on boolean state changes
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `StateChangeEvent.Listener`
    `static interface` | `StateChangeEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateChangeEvent(StateChangeEvent.Source source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateChangeEvent.Source` | `getSource()`
    `boolean` | `getState()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StateChangeEvent

          public StateChangeEvent(StateChangeEvent.Source source)

  - ### Method Detail

    - #### getState

          public boolean getState()

    - #### getSource

          public StateChangeEvent.Source getSource()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.